F-Secure Mobile SecurityTM

Supported devices & languages:

Android 2.3.3 - 4.4
- Acer: Iconia Tab, Iconia Tab A200, Liquid
- Asus: Nexus 7, Transformer
- Google: Nexus One, Nexus S
- HTC: Desire, Desire HD, Desire S, Desire Z, Dream (G1), Hero, Legend, Magic, One S, One X, ph06110, Tattoo, Wildfire
- Huawei: Ascend P6
- LG: E610, GT540, Optimus 2x (P990)
- Motorola: Droid, Razr XT910, Xoom
- Samsung: Galaxy Ace, Galaxy Mini, Galaxy Nexus, Galaxy Note, Galaxy S II, Galaxy S III, Galaxy S IV, Galaxy Tab 7.7, Galaxy Tab 10.1, Galaxy Tab (P1000), Galaxy Xcover, Gio, I5800 Galaxy 3, I900 Galaxy S
- Sony Ericsson: Xperia Acro S, Xperia Arc, Xperia Arc S, Xperia X10, Xperia X10 mini, Xperia Z

Symbian^3
- Nokia: 500, 700, 701, E7, N8, C7, C6, C5, 603, 808 Pureview

S60 3rd Edition & 5th Edition (Symbian 9.x)
- Nokia: 3250, 5230, 5320, 5630 XpressMusic, 5700, 5730 XpressMusic, 5800 XpressMusic, 6120C, 6220, 6650, 6700 slide, 6710, 6720, 6730, C6, E50, E51, E52, E55, E60, E61, E63, E65, E66, E70, E71, E71x, E72, E75, E90, N73, N75, N76, N78, N79, N80, N82, N85, N86, N91, N92, N93i, N95, N95 8GB, N96, N97, N97 Mini, X6
- Samsung: i550, i8510, Omnia HD
- SonyEricsson: Satio, Vivaz, Vivaz Pro


S60 2nd Edition(Symbian 7.x / 8.x)
New features like Anti-Theft and Browsing Protection not supported
- Nokia: 3230, 6260, 6600, 6630, 6670, 6680, 6681, 6682, 7610, N70, N72, N90
- Panasonic: X700, X800


Corporate client only:

Blackberry (5, 6, 7, 7.1)
- BlackBerry 8110 Pearl, 8520 Curve 2, 9105 Pearl, 9300 Curve, 9360 Curve, 9520 Storm 2, 9700 Bold 2, 9780 Bold, 9800 Torch, 9900, 9000 Bold

arrowfs Windows Mobile 6.x Professional (6.0, 6.1 and 6.5)
- HTC: Diamond Touch (Druker), Diamond 2, HD2, P3450 (Touch), P6500, Touch Cruise, Touch Dual, Touch Pro, Touch Pro 2, Touch Viva, TyTN II (Kaiser)
- HP: iPAQ 914
- Palm: Treo Pro, Treo 750W
- Samsung: SGH-i900 (Omnia), SGH-i780, Omnia II, Louvre
- Sony Ericsson: Xperia X1, Xperia 2
- Toshiba: Portege G810, Portege G910
- Vodafone: 1520

Windows Mobile 6.x Standard (6.0, 6.1 and 6.5)
- HTC: S730, S710, Snap
- Palm: Treo 500v
- Samsung: SGH-i600, SGH-i200
- Toshiba: Portege G710


F-Secure Child SafeTM

iOS 6 and 7
- iPhone 4, iPhone 4S, iPhone 5, iPad 2, iPad (3rd generation), iPad mini
Supported languages: English, Finnish, German, Spanish, Swedish, Norweigan, French, Italian, Danish, Dutch, Polish, Brasilian Portugese and Portugese


F-Secure Safe BrowserTM

iOS 6 and 7
- iPhone 4, iPhone 4S, iPhone 5, iPad 2, iPad (3rd generation), iPad mini
WP8
- Nokia Lumia, HTC, Samsung
Supported languages: English, Finnish, German, Spanish, Swedish, Norweigan, French, Italian, Danish, Dutch, Polish, Brasilian Portugese and Portugese


Mobile Security language support:

Android
English, Arabic (not supported by v8.0), Bulgarian, Simplified Chinese (People's republic of China), Traditional Chinese (Taiwan), Traditional Chinese (Hong Kong), Croatian, Czech, Danish, Dutch, Finnish, French, German, Greek, Hungarian, Indonesia, Italian, Japanese, Korean, Malay, Norwegian, Polish, Brazilian Portuguese, Portuguese, Romanian, Russian, Spanish, Spanish (Latin American), Swedish, Tagalog, Thai, Turkish

S60 3rd Edition, 5th Edition & Symbian^3
English, Finnish, Arabic, Simplified Chinese (People's republic of China), Traditional Chinese (Taiwan), Czech, Danish, Spanish, Spanish (Latin American), Finnish, French, German, Hungarian, Bahasa Indonesia, Italian, Japanese, Bahasa Malaysia, Dutch, Norwegian, Polish, Brazilian Portuguese, Portuguese, Russian, Swedish, Tagalog (Philippines), Thai, Turkish, Traditional Chinese (Hong Kong)

S60 2nd Edition (Symbian 7.x / 8.x)
English, Finnish, French, German, Italian, Spanish, Swedish

Blackberry (5, 6, 7, 7.1)
English, Finnish, German, Spanish, Frensh, Italian, Dutch, Brasilian Portugese and Portugese


Back to main page